*---------------------------------------------------------------------*
*    view related data declarations
*---------------------------------------------------------------------*
*...processing: YDDG_BRACKETS_MV................................*
TABLES: YDDG_BRACKETS_MV, *YDDG_BRACKETS_MV. "view work areas
CONTROLS: TCTRL_YDDG_BRACKETS_MV
TYPE TABLEVIEW USING SCREEN '2004'.
DATA: BEGIN OF STATUS_YDDG_BRACKETS_MV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_BRACKETS_MV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_BRACKETS_MV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_BRACKETS_MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_BRACKETS_MV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_BRACKETS_MV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_BRACKETS_MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_BRACKETS_MV_TOTAL.

*...processing: YDDG_BRACKETTRMV................................*
TABLES: YDDG_BRACKETTRMV, *YDDG_BRACKETTRMV. "view work areas
CONTROLS: TCTRL_YDDG_BRACKETTRMV
TYPE TABLEVIEW USING SCREEN '2005'.
DATA: BEGIN OF STATUS_YDDG_BRACKETTRMV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_BRACKETTRMV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_BRACKETTRMV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_BRACKETTRMV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_BRACKETTRMV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_BRACKETTRMV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_BRACKETTRMV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_BRACKETTRMV_TOTAL.

*...processing: YDDG_CONFIG___MV................................*
TABLES: YDDG_CONFIG___MV, *YDDG_CONFIG___MV. "view work areas
CONTROLS: TCTRL_YDDG_CONFIG___MV
TYPE TABLEVIEW USING SCREEN '2000'.
DATA: BEGIN OF STATUS_YDDG_CONFIG___MV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_CONFIG___MV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_CONFIG___MV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_CONFIG___MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_CONFIG___MV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_CONFIG___MV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_CONFIG___MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_CONFIG___MV_TOTAL.

*...processing: YDDG_GLBL_TAG_MV................................*
TABLES: YDDG_GLBL_TAG_MV, *YDDG_GLBL_TAG_MV. "view work areas
CONTROLS: TCTRL_YDDG_GLBL_TAG_MV
TYPE TABLEVIEW USING SCREEN '2001'.
DATA: BEGIN OF STATUS_YDDG_GLBL_TAG_MV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_GLBL_TAG_MV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_GLBL_TAG_MV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_GLBL_TAG_MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_GLBL_TAG_MV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_GLBL_TAG_MV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_GLBL_TAG_MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_GLBL_TAG_MV_TOTAL.

*...processing: YDDG_METRICS__MV................................*
TABLES: YDDG_METRICS__MV, *YDDG_METRICS__MV. "view work areas
CONTROLS: TCTRL_YDDG_METRICS__MV
TYPE TABLEVIEW USING SCREEN '2003'.
DATA: BEGIN OF STATUS_YDDG_METRICS__MV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_METRICS__MV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_METRICS__MV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_METRICS__MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_METRICS__MV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_METRICS__MV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_METRICS__MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_METRICS__MV_TOTAL.

*...processing: YDDG_TAGS_____MV................................*
TABLES: YDDG_TAGS_____MV, *YDDG_TAGS_____MV. "view work areas
CONTROLS: TCTRL_YDDG_TAGS_____MV
TYPE TABLEVIEW USING SCREEN '2002'.
DATA: BEGIN OF STATUS_YDDG_TAGS_____MV. "state vector
          INCLUDE STRUCTURE VIMSTATUS.
DATA: END OF STATUS_YDDG_TAGS_____MV.
* Table for entries selected to show on screen
DATA: BEGIN OF YDDG_TAGS_____MV_EXTRACT OCCURS 0010.
INCLUDE STRUCTURE YDDG_TAGS_____MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_TAGS_____MV_EXTRACT.
* Table for all entries loaded from database
DATA: BEGIN OF YDDG_TAGS_____MV_TOTAL OCCURS 0010.
INCLUDE STRUCTURE YDDG_TAGS_____MV.
          INCLUDE STRUCTURE VIMFLAGTAB.
DATA: END OF YDDG_TAGS_____MV_TOTAL.

*.........table declarations:.................................*
TABLES: YDDG_BRACKETS                  .
TABLES: YDDG_BRACKET_THR               .
TABLES: YDDG_CONFIG                    .
TABLES: YDDG_GLOBAL_TAGS               .
TABLES: YDDG_METRICS                   .
TABLES: YDDG_TAGS                      .
